<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns="http://www.w3.org/1999/xhtml">

<head>
    <title>Player Details</title>
    <meta name="viewport" content="width=device-width, initial-scale=1" charset="UTF-8">

    <link th:href="@{/libs/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <link th:href="@{/css/table.css}" rel="stylesheet">
    <link th:href="@{/css/main.css}" rel="stylesheet">
</head>

<body>

<div th:insert="navbar_menu :: navbar"></div>

<div class="container">
    <div class="card">

        <h5 class="card-header bg-primary text-light">
            <strong>Account Details</strong>
        </h5>

        <!--Card content-->
        <div class="card-body px-lg-5">

            <!-- Form -->
            <form th:object="${userDetails}" th:action="@{/details}" method="post" class="text-center"
                  style="color: #757575;">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Account number</span>
                    </div>
                    <input th:field="*{accountNumber}" type="text" class="form-control" name="accountNumber" readonly>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Name</span>
                    </div>
                    <input th:field="*{name}" type="text" class="form-control" name="username" placeholder="Username" readonly>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Password</span>
                    </div>
                    <input th:field="*{password}" type="text" class="form-control" name="password" placeholder="Password">
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Date of Birth</span>
                    </div>
                    <input th:field="*{dateOfBirth}" type="text" class="form-control">
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Currency</span>
                    </div>
                    <select th:field="*{currency}" class="form-control">
                        <option th:each="c : ${currencies}" th:value="${c}" th:text="${c}"></option>
                    </select>
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text">Balance</span>
                    </div>
                    <input th:field="*{balance}" type="text" class="form-control" placeholder="balance" readonly>
                </div>

                <!-- Save Button -->
                <button type="submit" class="btn btn-primary">Save</button>

            </form>
            <!-- end Form -->

        </div>
    </div>
</div>

<script th:src="@{/libs/jQuery/jquery.js}"></script>
<script th:src="@{/libs/bootstrap/js/bootstrap.min.js}"></script>
<script th:src="@{/js/main.js}"></script>

</body>

</html>